classification
Title: Backport PEP 3132 (extended iterable unpacking)
Type: Stage:
Components: Interpreter Core Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, brett.cannon, ipatrol, terry.reedy
Priority: critical Keywords: 26backport

Created on 2008-03-17 17:58 by brett.cannon, last changed 2010-09-01 23:23 by brett.cannon. This issue is now closed.

Messages (5)
msg63699 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-03-17 17:58
PEP 3132 (extended iterable unpacking) needs to be backported.
msg70457 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-07-31 01:53
I'm deferring this to 2.7
msg104402 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-04-28 02:32
Fixed?, Out-of-date? (or in process?)
msg115340 - (view) Author: (ipatrol) Date: 2010-09-01 23:01
Can this be added in a minor release? I came across wanting it while parsing some html forms.
msg115342 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2010-09-01 23:23
No, only bugfixes can go into Python 2.7.
History
Date User Action Args
2010-09-01 23:23:22brett.cannonsetmessages: + msg115342
2010-09-01 23:01:44ipatrolsetnosy: + ipatrol
messages: + msg115340
2010-04-28 03:19:54benjamin.petersonsetstatus: open -> closed
resolution: out of date
2010-04-28 02:32:01terry.reedysetnosy: + terry.reedy
messages: + msg104402
2008-07-31 01:53:24benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg70457
versions: + Python 2.7, - Python 2.6
2008-03-17 20:10:58brett.cannonsetpriority: release blocker -> critical
2008-03-17 17:58:35brett.cannoncreate